com.google.cloud.dataflow.sdk.transforms

## Class IntraBundleParallelization.Unbound

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.IntraBundleParallelization.Unbound

Enclosing class:
  IntraBundleParallelization

    public static class IntraBundleParallelization.Unbound
    extends Object

An incomplete `IntraBundleParallelization` transform, with unbound input/output types.

Before being applied, `of(com.google.cloud.dataflow.sdk.transforms.DoFn<InputT, OutputT>)` must be invoked to specify the `DoFn` to invoke, which will also bind the input/output types of this `PTransform`.

### Method Summary

All Methods Instance Methods Concrete Methods
`<InputT,OutputT> IntraBundleParallelization.Bound<InputT,OutputT>` `of(DoFn<InputT,OutputT> doFn)` Returns a new `IntraBundleParallelization` `PTransform` like this one with the specified `DoFn`.
`IntraBundleParallelization.Unbound` `withMaxParallelism(int maxParallelism)` Returns a new `IntraBundleParallelization` `PTransform` like this one with the specified maximum concurrency level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withMaxParallelism

    public IntraBundleParallelization.Unbound withMaxParallelism(int maxParallelism)

Returns a new `IntraBundleParallelization` `PTransform` like this one with the specified maximum concurrency level.

#### of

    public <InputT,OutputT> IntraBundleParallelization.Bound<InputT,OutputT> of(DoFn<InputT,OutputT> doFn)

Returns a new `IntraBundleParallelization` `PTransform` like this one with the specified `DoFn`.

Note that the specified `doFn` needs to be thread safe.